import * as Test from "https://deno.land/std@0.224.0/assert/mod.ts";

import Bundle from "./mod.js";

const {outputFiles} = await Bundle({
    fileSystem:import.meta.resolve('./test_project/'),
    esBuild:{entryPoints:["entry"]},
    importMap:{"imports": {
        "entry": "./app.tsx",
        "react": "https://esm.sh/preact@10.22.0/compat",
        "react/": "https://esm.sh/preact@10.22.0/compat/"
    }}
});


for(const item of outputFiles){
    // do something with the output...
    console.log(item.text.substring(0, 200));
}

Deno.test("check", ()=>{
    Test.assert(outputFiles?.length == 1);
    Test.assert(outputFiles[0].text.length > 1000);
})
